Bug 254078 - Need to start net after disk-based KS
Need to start net after disk-based KS
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 19:16 EDT by Jonathan S. Shapiro
Modified: 2008-08-04 10:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 10:21:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan S. Shapiro 2007-08-23 19:16:02 EDT
I have a working kickstart file that does a satisfactory install. If I load that
kickstart file over the net from the kernel command line, all goes well. If I
instead load the same kickstart file from the disk I am then unable to fetch
stage2 (and so forth) from the net. All of the necessary kernel options (ip,
netmask, gateway...) are unchanged. The only change is that the kickstart file
is being loaded from disk rather than net. Adding an explicit "method" argument
to the kernel command line did not help.

It appears that anaconda is concluding early that this is a disk-based install,
and is therefore not bringing up the network at all.

I'm perfectly willing to add kernel command line uptions and/or a %pre script. I
would prefer the %pre approach. I tried adding a %pre that used ifconfig and
route to bring up the interfaces by hand, but no joy.

Is there a straightforward way to resolve this from within the kickstart script?

If the details can be worked out by studying the installer scripts, I'm happy to
go do that, but I would appreciate a pointer to the place where it checks
whether to bring up the net. I was unable to locate that.
Comment 1 David Cantrell 2008-04-25 20:43:51 EDT
Can you provide your kickstart file and kernel command line arguments?
Comment 2 Bug Zapper 2008-05-14 10:05:27 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jonathan S. Shapiro 2008-05-14 10:42:27 EDT
Updating this to F9 so that I can re-test. If this is now resolved I will close,
else I will provide the kickstart file. Unfortunately I didn't see your request
for the KS file until now. No idea why.
Comment 4 Andy Lindeberg 2008-06-02 15:54:09 EDT
Is this still a problem in F9?

Note You need to log in before you can comment on or make changes to this bug.